Package com.plannaplan.services

# Class UsosApiService

java.lang.Object
com.plannaplan.services.UsosApiService

    @Service
    public class UsosApiService
    extends java.lang.Object

service to call usos api endpoints

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UsosApiService()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`UserApiResponse` | `getUserData​(java.lang.String usosId)` | /services/users/user

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UsosApiService

public UsosApiService()

## Method Details

### getUserData

public UserApiResponse getUserData​(java.lang.String usosId)
/services/users/user

Parameters:
  `usosId` - user id in usos
Returns:
  UserApiResponse modle contatining desired values